
VIRTUAL CREDIT CARD - Bug #16002

BE [Treats][CC History] Call both service GetTransactionCurrentCC and GetCreditCardHistory, and

match with Treats API

16 March 2023 09:26 AM - hsulynn pang

Status: Closed Start date: 16 March 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Call both service GetTransactionCurrentCC and GetCreditCardHistory, and then match them with the treats API Get Customer

Transaction History.

History

#1 - 16 March 2023 06:20 PM - Imran Abdulhadi

- Status changed from New to Resolved

- Assignee changed from Imran Abdulhadi to hsulynn pang

- % Done changed from 0 to 100

done

#2 - 20 March 2023 04:46 PM - hsulynn pang

- File WhatsApp Image 2023-03-20 at 16.45.13 (2).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.13 (1).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.13.jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.12 (1).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.12.jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.11 (1).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.11.jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.10 (2).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.10 (1).jpeg added

- File WhatsApp Image 2023-03-20 at 16.45.10.jpeg added

Android screenshot

#3 - 21 March 2023 11:06 AM - hsulynn pang

- File BE.txt added

- File GetCustomerTransactionHistory.json added

- File GetCreditCardHistory.txt added

- File GetTransactionCurrentCC.json added

user: uattreats001

#4 - 21 March 2023 11:09 AM - hsulynn pang

- File IMG-3113.PNG added

- File IMG-3114.PNG added

- File IMG-3115.PNG added
- File IMG-3116.PNG added

- File IMG-3102.PNG added

- File IMG-3103.PNG added

- File IMG-3104.PNG added

- File IMG-3105.PNG added

- File IMG-3106.PNG added

- File IMG-3107.PNG added

iOS screenshots

#5 - 21 March 2023 11:10 AM - hsulynn pang

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp Image 2023-03-20 at 16.45.13 (1).jpeg 37.2 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.13.jpeg 36.2 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.13 (2).jpeg 42 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.12 (1).jpeg 37 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.12.jpeg 35 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.11 (1).jpeg 34.9 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.11.jpeg 36.8 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.10 (2).jpeg 34 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.10.jpeg 33.5 KB 20 March 2023 hsulynn pang

WhatsApp Image 2023-03-20 at 16.45.10 (1).jpeg 36.6 KB 20 March 2023 hsulynn pang

GetCustomerTransactionHistory.json 6.6 KB 21 March 2023 hsulynn pang

BE.txt 32.9 KB 21 March 2023 hsulynn pang

GetCreditCardHistory.txt 24.2 KB 21 March 2023 hsulynn pang

GetTransactionCurrentCC.json 14.6 KB 21 March 2023 hsulynn pang

IMG-3113.PNG 750 KB 21 March 2023 hsulynn pang

IMG-3114.PNG 752 KB 21 March 2023 hsulynn pang

IMG-3115.PNG 749 KB 21 March 2023 hsulynn pang

IMG-3116.PNG 748 KB 21 March 2023 hsulynn pang

IMG-3102.PNG 591 KB 21 March 2023 hsulynn pang

IMG-3103.PNG 749 KB 21 March 2023 hsulynn pang

IMG-3104.PNG 746 KB 21 March 2023 hsulynn pang

IMG-3105.PNG 697 KB 21 March 2023 hsulynn pang

IMG-3106.PNG 754 KB 21 March 2023 hsulynn pang

IMG-3107.PNG 753 KB 21 March 2023 hsulynn pang

Powered by TCPDF (www.tcpdf.org)

08 April 2025 2/2

http://www.tcpdf.org

